> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.spott.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List skills

> Returns a list of skills. Uses cursor pagination.



## OpenAPI

````yaml /openapi-private.json get /skills
openapi: 3.1.0
info:
  title: Spott API Reference
  version: '0.1'
servers:
  - url: https://api.gospott.com
security: []
tags: []
paths:
  /skills:
    get:
      tags:
        - Skills
      summary: List skills
      description: Returns a list of skills. Uses cursor pagination.
      operationId: getSkills
      parameters:
        - name: limit
          required: false
          in: query
          schema:
            minimum: 1
            maximum: 100
            default: 50
            type: integer
        - name: cursor
          required: false
          in: query
          description: >-
            Base64-encoded cursor for pagination. Use the cursor value from a
            previous response to fetch the next page. Omit for the first page.
          schema:
            type: string
        - name: searchQuery
          required: false
          in: query
          schema:
            type: string
      responses:
        '200':
          description: >-
            Successfully retrieved skills. Returns items array with pagination
            info containing cursor for the next page.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetSkillsResponseDto'
        '400':
          description: Bad request - invalid query parameters (e.g., limit out of range)
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/ExceptionBaseDto'
                  - type: object
                    properties:
                      statusCode:
                        type: number
                        example: 400
                      message:
                        type: string
                        example: Limit must be between 1 and 100
                      error:
                        type: string
                        example: Bad Request
        '401':
          description: Unauthorized - invalid or missing authentication
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExceptionBaseDto'
        '500':
          description: Error response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExceptionBaseDto'
      security:
        - x-api-key: []
components:
  schemas:
    GetSkillsResponseDto:
      type: object
      properties:
        items:
          type: array
          items:
            $ref: '#/components/schemas/SkillDto'
        pagination:
          $ref: '#/components/schemas/SkillCursorPaginationDto'
      required:
        - items
        - pagination
      id: PrivateGetSkillsResponseDto
    ExceptionBaseDto:
      type: object
      properties:
        status:
          type: integer
          minimum: -9007199254740991
          maximum: 9007199254740991
        message:
          type: string
        requestId:
          type: string
      required:
        - status
        - message
        - requestId
      id: ExceptionBaseDto
    SkillDto:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        colorHex:
          type: string
      required:
        - id
        - name
        - colorHex
      id: PrivateSkillDto
    SkillCursorPaginationDto:
      type: object
      properties:
        cursor:
          anyOf:
            - type: object
              properties:
                name:
                  type: string
                id:
                  type: string
              required:
                - name
                - id
            - type: 'null'
          type:
            - string
            - 'null'
        hasMore:
          type: boolean
          deprecated: true
          description: >-
            Use the cursor presence to identify if there are more results to
            fetch instead. This property will be removed in a future release
      required:
        - cursor
        - hasMore
      id: PrivateSkillCursorPaginationDto
  securitySchemes:
    x-api-key:
      type: apiKey
      name: x-api-key
      in: header
      description: >-
        API key for authentication. Get your API key from Settings → API Keys in
        your Spott dashboard.

````